Video Screencast Help

HIDS 5.2.9

Created: 14 Nov 2013 | 14 comments

Hi,

I am a newbie to the community.

I would like some assistance on deployment of SCSP i.e. HIDS 5.2.9 on Windows Server 2003.

We are currently using HIDS 5.1.2 and need to upgrade the version to 5.2.9.

It would be great if you can suggest any standard document for this transition.

Another query is, whether the transition can happen directly from 5.1.2 to 5.2.9 or do I have to upgrade it to 5.2 first and then perform another upgrade.

Appreciate your help in advance.

Operating Systems:

Comments 14 CommentsJump to latest comment

pete_4u2002's picture

it has the system requirement information as well

Migrating legacy installations of Symantec Critical

System Protection

You can migrate legacy installations for the following Symantec Critical System

Protection software:

■ Symantec Critical System Protection 5.0.0 (server, console, agent)

■ Symantec Critical System Protection 5.0.1 (server, console, agent)

■ Symantec Critical System Protection 5.0.5 (server, console, agent)

■ Symantec Critical System Protection 5.1.0 (server, console, agent)

When migrating legacy installations for Symantec Critical System Protection,

you should note the following:

■ If you upgrade the management server, then you must also upgrade the

management console to the same version, and vice versa. The management

server and management console must be the same version.

■ Upgrading the agent is optional; you can use agent 5.0.0, agent 5.0.1, agent

5.0.5, or agent 5.1 with the latest version of the management server and

management console. However, if you upgrade the agent to the latest version,

then you must also upgrade the management server and management console.

■ To use simple failover, you must upgrade the management server, management

console, and agent to version 5.1.1 or higher.

vikas2405's picture

You mean to say that there is no need to upgrade client agent machines.

pete_4u2002's picture

its always good to upgrade the agents as well as there are number of defects existing in the earlier version have been fixed

vikas2405's picture

One more thing, is it possible to directly upgrade from 5.1.2 to 5.2.9 ?

Or do we need to perform it via 5.1.2 -> 5.2 and then 5.2 -> 5.2.9 ?

vikas2405's picture

Hi Pete,

Can you put some light over the proper method of upgrading HIDS from 5.1.2 to 5.2.9.

Appreciate your assistance.

vikas2405's picture

Thanks for the information.

I hope I can expect further assistance in future as well.

RCMZZ's picture

Through testing I have found that incremental upgrades of agents is the best practice, going from 5.2.0 to 5.2.9 has had some issues and the only way I could get the upgrade to work was to go to 5.2.4 then 5.2.9. Please bear in mind that if you have a small environment, uninstalling then install of the latest software can alleviate some unneeded compatibility issues.

vikas2405's picture

I recently saw your reply.

One of the Symantec associate told me that there are no issues with direct upgrade.

Can you please elaborate the issues you faced as that would be vital for me while performing this activity.

RCMZZ's picture

When upgrading from 5.2.0 to 5.2.9 on windows 2003 server the customer receives errors;

RC_0004: Could not start Registry driver. Registry Collector will be disabled.        

RC_0019: Unable to retrieve Registry Driver version -- Registry Collector not functioning.             

RC_0003: Incorrect version number of the Registry kernel driver. Please make sure that you have the right version of registry driver.

I have replicated the issue and found that the upgrade needs to go to 5.2.4 before proceeding to 5.2.9.

vikas2405's picture

@RCMZZ

Thanks for the reply.

Then I guess, I should better go for a fresh installation.

Can you tell me how to export the existing policies from 5.1.2 and then import them into 5.2.9 fresh installation ?

vikas2405's picture

Thanks Pete.

That lifted the mist upto a great extent.

Will keep troubling you ;-) for more queries.